@()(implicit lang:Lang)

<span ng-controller="ccChooseAgentCtrl" class="glyphicon glyphicon-plus glyph-grey addAgent"
      ng-click="addAgent(queue.id,group.penalty)">
    <script type="text/ng-template" id="myModalContent.html">
        <div class="modal-header">
            <button type="button" class="close" ng-click="cancel()">×</button>
            <h4 class="modal-title">@Messages("ccmanager.addAgentSelectionTitle")</h4>
            <div class="input-group">
                <div class="input-group-addon"><span class="glyphicon glyphicon-search"></div>
                <input  id="query" ng-model="query" class="form-control" type="text" placeholder="@Messages("ccmanager.search")">
            </div>
        </div>
        <div class="modal-body">
            <ul id="add_agents" class="list-group">
                <li ng-click="selected(agent)" ng-repeat="agent in agents | filter:query | orderBy: orderList" class="list-group-item">
                    <span class="badge">{{agent.number}}</span>
                    {{agent.firstName}}  {{agent.lastName}}
                </li>
            </ul>
        </div>
        <div class="modal-footer">
            <button class="btn btn-warning" ng-click="cancel()">@Messages("ccmanager.cancel")
            </button>
        </div>
    </script>
</span>
